VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsMenue"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'***FUNKTION ZUM ERSTELLEN EINES SYMBOLLEISTE
Public Function FuncCreateMenue(ByVal strBarName As String, ByVal strCommandName As String, ByVal strDesText As String, ByVal intFaceId As Integer) As Office.CommandBarButton

    '***FEHLERBEHANLUNG
    On Error Resume Next
    
    '***DEKLARATIONEN
    Dim objMainMenue As Office.CommandBar
    Dim objComBars As Office.CommandBars
    Dim objExplorer As Outlook.Explorer
    Dim objMenue As Office.CommandBar
    Dim objButton As Office.CommandBarButton

    '***AKTIVEN EXPLORER ZUGRIFF / ZUGRIFF AUF SYMBOLLEISTEN
    Set objExplorer = Application.ActiveExplorer
    Set objComBars = objExplorer.CommandBars
    
    '***ZUGRIFF AUF SYMBOLLEISTE / SYMBOLLEISTE ERSTELLEN
    Set objMenue = objComBars.Item(strBarName)
    If objMenue Is Nothing Then
        Set objMenue = objComBars.Add(strBarName, msoBarTop, , True)
        Set objButton = objMenue.Controls.Add(msoControlButton, , strCommandName, , True)
        With objButton
            .Caption = strCommandName
            .Tag = strCommandName
            .DescriptionText = strDesText
            .FaceId = intFaceId
            .Style = msoButtonIconAndCaption
        End With
    Else
        Set objButton = objMenue.FindControl(, , strCommandName)
        If objButton Is Nothing Then
            Set objButton = objMenue.Controls.Add(msoControlButton, , strCommandName, , True)
            With objButton
                .Caption = strCommandName
                .Tag = strCommandName
                .DescriptionText = strDesText
                .FaceId = intFaceId
                .Style = msoButtonIconAndCaption
        End With
        End If
    End If
    
    '***ANORDNUNG SYMBOLLEISTE
    If Not objMenue Is Nothing Then
        objMenue.Position = msoBarTop
        objMenue.RowIndex = 2
        objMenue.Left = 910
        objMenue.Top = 26
    End If

    '***SYMBOLLSITE ANZEIGEN
    If objMenue.Visible = False Then
        objMenue.Visible = True
    End If
    
    '***FUNKTIONSUEBERGABE
    Set FuncCreateMenue = objButton

End Function

'***FUNKTION ZUM LOESCHEN DER ALTEN SYMBOLLEISTE
Public Function FuncRemoveMenue(ByVal strBarName As String)

    '***FEHLERBEHANLUNG
    On Error Resume Next
    
    '***DEKLARATIONEN
    Dim objMainMenue As Office.CommandBar
    Dim objComBars As CommandBars
    Dim objExplorer As Outlook.Explorer
    Dim objMenue As Office.CommandBar

    '***AKTIVEN EXPLORER ZUGRIFF / ZUGRIFF AUF SYMBOLLEISTEN
    Set objExplorer = Application.ActiveExplorer
    Set objComBars = objExplorer.CommandBars
    
    '***AKTIVEN EXPLORER ZUGRIFF / ZUGRIFF AUF SYMBOLLEISTEN
    Set objExplorer = Application.ActiveExplorer
    Set objComBars = objExplorer.CommandBars
    
    '***ZUGRIFF AUF SYMBOLLEISTE
    Set objMenue = objComBars.Item(strBarName)
    If Not objMenue Is Nothing Then
        objMenue.Delete
    End If

End Function
